import "vue";
import { s as r } from "./start-CE9SawgU.js";
import "vue-i18n";
import "pinia";
import "./header-Bn1EKnBE.js";
import { B as o } from "./base-B7u32Mej.js";
const t = `${o}TreeNodeValueController.`, T = {
  /** Allows to delete specific nodes from a treeNodeValue for given entities; Rescue if used nodes have been deleted */
  async clearTreeNode(e) {
    return r.post(`${t}clearTreeNode`, e);
  },
  /** Get category tree based on language, scope and attribute id in a tree structure */
  async getCategoryTree(e) {
    return r.post(`${t}getCategoryTree`, e);
  },
  /** Get attribute tree based on language, scope and attribute id in a flat array structure with ID as key */
  async getFlatCategoryTree(e) {
    return r.post(`${t}getFlatCategoryTree`, e);
  },
  /** Get attribute tree based on language, scope and attribute id in a flat array structure with ID as key */
  async getTree(e) {
    return r.post(`${t}getTree`, e);
  }
};
export {
  T as t
};
